summaryrefslogtreecommitdiff
path: root/src/test.sh
diff options
context:
space:
mode:
authorScott Gasch <[email protected]>2016-06-01 18:58:58 -0700
committerScott Gasch <[email protected]>2016-06-01 18:58:58 -0700
commit3fd43cd5fcb22bb65bf2a92a25d95d801b11c9e0 (patch)
tree9b6443235d16ba17f094a1a1c7ae53d2bcb9267b /src/test.sh
Initial checkin for typhoon chess engine.
Diffstat (limited to 'src/test.sh')
-rwxr-xr-xsrc/test.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/test.sh b/src/test.sh
new file mode 100755
index 0000000..2109112
--- /dev/null
+++ b/src/test.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+opts='--cpus 1 --hash 256m --egtbpath /egtb/three;/egtb/four;/egtb/five'
+
+if [ $# -ne 2 ]; then
+ echo "Usage: ${0} <required-test-name> <time>"
+ exit 1
+fi
+./typhoon ${opts} --logfile test.log --batch --command "st ${2}; script ${1}"
+tail -19 ./test.log | head -9 > ./checkin
+./suite_diff.pl ./test.log ./lastrun.log >> ./checkin
+more ./checkin